﻿Imports Infragistics.Win
Imports Infragistics.Win.UltraWinGrid

Public Class Form1
    Private vm As ViewModel = New ViewModel()

    Private grid As UltraGrid = New UltraGrid()

    Public Sub New()
        InitializeComponent()
        AddHandler Me.Load, AddressOf Form1_Load
        grid.Dock = DockStyle.Fill
        grid.DataSource = vm.Data
        grid.DataBind()
        Me.Controls.Add(grid)
    End Sub

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs)
        Dim bvl As BindableValueList = New BindableValueList()
        bvl.DataSource = vm.ComboData
        bvl.ValueMember = "ID"
        bvl.DisplayMember = "Name"
        bvl.BindingContextControl = grid
        Dim col As UltraGridColumn = grid.DisplayLayout.Bands(0).Columns("PersonID")
        col.ValueList = bvl
        col.Style = Infragistics.Win.UltraWinGrid.ColumnStyle.DropDownList
        col.Width = 200
    End Sub


End Class
