﻿Imports System.ComponentModel

Public Class ViewModel
    Public Property Data As BindingList(Of SampleData)

    Public Property ComboData As DataTable

    Private names As String() = "Andrew;Steve;Anna;Caroline;Mike;Emilie;Richard".Split(";"c)

    Public Sub New()
        Data = New BindingList(Of SampleData)()
        ComboData = New DataTable()
        ComboData.Columns.Add("ID", GetType(Integer))
        ComboData.Columns.Add("Name", GetType(String))
        For i As Integer = 0 To names.Length - 1
            Dim sd As SampleData = New SampleData()
            sd.Index = i
            sd.PersonID = i
            Data.Add(sd)
            Dim row As DataRow = ComboData.NewRow()
            row(0) = i
            row(1) = names(i)
            ComboData.Rows.Add(row)
        Next
    End Sub

End Class


Public Class SampleData

    Public Property Index As Integer
    Public Property PersonID As Integer
End Class
